# Class CIM_UnixProcess
extends CIM_Process

Each instance of the CIM_UnixProcess class represents a single instance of a running program. A user of the Operating System will typically see a Process as an application or task. Within an OperatingSystem, a Process is defined by a workspace of memory resources and environmental settings that are allocated to it. On a multitasking System, this workspace prevents intrusion of resources by other Processes. Additionally, a Process can execute as multiple Threads, all which run within the same workspace.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_ManagedSystemElement
|
+--CIM_LogicalElement
|
+--CIM_EnabledLogicalElement
|
+--CIM_Process
|
+--CIM_UnixProcess

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---

Description

string

Each instance of the CIM_UnixProcess class represents a single instance of a running program. A user of the Operating System will typically see a Process as an application or task. Within an OperatingSystem, a Process is defined by a workspace of memory resources and environmental settings that are allocated to it. On a multitasking System, this workspace prevents intrusion of resources by other Processes. Additionally, a Process can execute as multiple Threads, all which run within the same workspace.

UMLPackagePath | string | CIM::System::Unix
Version | string | 2.6.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
ModulePath | string |
Description | string | The executing process's command path.
MappingStrings | string | MIF.DMTF|Process Information|001.7
ParentProcessID | string |
Description | string | The parent process ID of this executing process.
MappingStrings | string | MIF.DMTF|Process Information|001.2
Required | boolean | true
ProcessGroupID | uint64 |
Description | string | The Group ID of this currently executing process.
MappingStrings | string | MIF.DMTF|Process Information|001.2
Required | boolean | true
ProcessNiceValue | uint32 |
Description | string | The process's 'nice' value. A process 'nice' value of 0 reflects high priority, while increasing values reflect lower priorities.
MappingStrings | string | MIF.DMTF|Process Information|001.11
ProcessSessionID | uint64 |
Description | string | If part of a group of processes are under the control of a session leader, this property holds the session ID for the group.
ProcessTTY | string |
Description | string | The TTY currently associated with this process.
MappingStrings | string | MIF.DMTF|Process Information|001.5
ProcessWaitingForEvent | string |
Description | string | A description of the event this process is currently sleeping for. The precise nature of this string is implementation defined, but is typically the address of a system data structure that will be modified when the event occurs. This string only has meaning when the ExecutionState is "Blocked" or "SuspendedBlocked".
ModelCorrespondence | string | CIM_Process.ExecutionState
RealUserID | uint64 |
Description | string | The Real User ID of this currently executing process.
MappingStrings | string | MIF.DMTF|Process Information|001.4
Required | boolean | true
Parameters | string[] |
Description | string | The operating system parameters provided to the executing process. These are the argv[] values.
MappingStrings | string | MIF.DMTF|Process Information|001.8

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CommunicationStatus | uint16 | CIM_ManagedSystemElement
CreationClassName | string | CIM_Process
CreationDate | datetime | CIM_Process
CSCreationClassName | string | CIM_Process
CSName | string | CIM_Process
Description | string | CIM_ManagedElement
DetailedStatus | uint16 | CIM_ManagedSystemElement
ElementName | string | CIM_ManagedElement
EnabledDefault | uint16 | CIM_EnabledLogicalElement
EnabledState | uint16 | CIM_EnabledLogicalElement
ExecutionState | uint16 | CIM_Process
Handle | string | CIM_Process
HealthState | uint16 | CIM_ManagedSystemElement
InstallDate | datetime | CIM_ManagedSystemElement
InstanceID | string | CIM_ManagedElement
KernelModeTime | uint64 | CIM_Process
Name | string | CIM_Process
OperatingStatus | uint16 | CIM_ManagedSystemElement
OSCreationClassName | string | CIM_Process
OSName | string | CIM_Process
OtherEnabledState | string | CIM_EnabledLogicalElement
OtherExecutionDescription | string | CIM_Process
PrimaryStatus | uint16 | CIM_ManagedSystemElement
Priority | uint32 | CIM_Process
RequestedState | uint16 | CIM_EnabledLogicalElement
Status | string | CIM_ManagedSystemElement
TerminationDate | datetime | CIM_Process
TimeOfLastStateChange | datetime | CIM_EnabledLogicalElement
TransitioningToState | uint16 | CIM_EnabledLogicalElement
UserModeTime | uint64 | CIM_Process
WorkingSetSize | uint64 | CIM_Process
AvailableRequestedStates | uint16[] | CIM_EnabledLogicalElement
OperationalStatus | uint16[] | CIM_ManagedSystemElement
StatusDescriptions | string[] | CIM_ManagedSystemElement

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
RequestStateChange | uint32 | CIM_EnabledLogicalElement